MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028469Open CASCADE[OCCT] OCCT:Visualizationpublic2017-02-17 11:262017-09-29 16:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028469: Visualization, StdPrs_ShadedShape - do not create redundant copy of normal array
DescriptionCurrent implementation of StdPrs_ShadedShape pre-allocates array of normals within processed Face as TColgp_Array1OfDir (e.g. with double precision) just to store them into Graphic3d_ArrayOfTriangles at the next step. This allocation does not sound reasonable.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028630closedbugmaster Visualization, StdPrs_ShadedShape - do not create Poly_Connect without need 

-  Notes
(0063871)
git (administrator)
2017-02-17 11:31

Branch CR28469 has been created by kgv.

SHA-1: d6de0ea11a52cd98d3145c9acfeca8a7e2d7d0a3


Detailed log of new commits:

Author: kgv
Date: Fri Feb 17 11:30:42 2017 +0300

    0028469: Visualization, StdPrs_ShadedShape - do not create redundant copy of normal array
(0063872)
kgv (developer)
2017-02-17 11:32

Patch is ready for review.
(0063979)
san (developer)
2017-02-23 15:00

Branch CR28469 reviewed without remarks, ready for testing.
(0064024)
apv (tester)
2017-02-28 13:59

Dear BugMaster,

Branch CR28469 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d6de0ea11a52cd98d3145c9acfeca8a7e2d7d0a3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1191

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92663862 / 93208398 [-0.58%]
Total CPU difference: 19864.480000000225 / 19801.800000000218 [+0.32%]

Testing on Windows:
Total MEMORY difference: 57832466 / 57829936 [+0.00%]
Total CPU difference: 18626.176197798508 / 18793.846072598604 [-0.89%]
(0064479)
git (administrator)
2017-03-20 14:34

Branch CR28469 has been deleted by inv.

SHA-1: d6de0ea11a52cd98d3145c9acfeca8a7e2d7d0a3

- Related Changesets
occt: master f4064435
Timestamp: 2017-02-17 08:30:42
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028469: Visualization, StdPrs_ShadedShape - do not create redundant copy of normal array
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-17 11:26 kgv New Issue
2017-02-17 11:26 kgv Assigned To => kgv
2017-02-17 11:31 git Note Added: 0063871
2017-02-17 11:32 kgv Note Added: 0063872
2017-02-17 11:32 kgv Assigned To kgv => san
2017-02-17 11:32 kgv Status new => resolved
2017-02-23 15:00 san Note Added: 0063979
2017-02-23 15:00 san Assigned To san => bugmaster
2017-02-23 15:00 san Status resolved => reviewed
2017-02-27 15:14 apv Assigned To bugmaster => apv
2017-02-28 11:46 apv Test case number => Not needed
2017-02-28 13:59 apv Note Added: 0064024
2017-02-28 13:59 apv Assigned To apv => bugmaster
2017-02-28 13:59 apv Status reviewed => tested
2017-03-03 16:25 bugmaster Changeset attached => occt master f4064435
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-20 14:34 git Note Added: 0064479
2017-04-05 14:26 kgv Relationship added related to 0028630
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker